com.independentsoft.exchange

## Class FreeBusyView

- java.lang.Object
- - com.independentsoft.exchange.FreeBusyView

-     public class FreeBusyView
      extends java.lang.Object

  Contains availability information for a specific user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FreeBusyView()` Initializes a new instance of the FreeBusyView class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<CalendarEvent>` | `getCalendarEvents()` Gets a set of unique calendar item occurrences that represent the requested user's availability.
    `java.lang.String` | `getMergedFreeBusy()` Gets the merged free/busy stream of data.
    `FreeBusyViewType` | `getType()` Gets the type of requested free/busy information returned in the response.
    `WorkingHours` | `getWorkingHours()` Gets the time zone settings and working hours for the requested mailbox user.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FreeBusyView

          public FreeBusyView()

      Initializes a new instance of the FreeBusyView class.

  - ### Method Detail

    - #### getType

          public FreeBusyViewType getType()

      Gets the type of requested free/busy information returned in the response.
      Returns:
        the type

    - #### getMergedFreeBusy

          public java.lang.String getMergedFreeBusy()

      Gets the merged free/busy stream of data.
      Returns:
        the merged free busy

    - #### getCalendarEvents

          public java.util.List<CalendarEvent> getCalendarEvents()

      Gets a set of unique calendar item occurrences that represent the requested user's availability.
      Returns:
        the calendar events

    - #### getWorkingHours

          public WorkingHours getWorkingHours()

      Gets the time zone settings and working hours for the requested mailbox user.
      Returns:
        the working hours